%--------------------------------------------------------------------------
% File     : BOO012=InvIvln-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Inverse is an involution
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : Whitesitt J.E. (1961), Boolean Algebra and Its Applications, 
%            Addison-Wesley, Chapter 2.
%          : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
% Source   : [McCharen, et al., 1976]
% Names    : B8 [McCharen, et al., 1976]

% Status   : 
% Syntax   : Number of clauses           :   37 (   0 non-Horn)(  12 unit)
%            Number of literals          :   95 (  25 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    6 (   3 constant)
%            Number of variables         :  126 (   0 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_inverse_is_an_involution,theorem,
    [--equal(inverse(inverse(x)),x)]).
%--------------------------------------------------------------------------
