%--------------------------------------------------------------------------
% File     : GEO029=ExtUnqCor3-2 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Geometry
% Problem  : Corollary 3 to unique extension
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [Quaife, 1989]
% Names    : D10.3 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   55 (   5 non-Horn)(   9 unit)
%            Number of literals          :  135 (  72 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :   10 (   5 constant)
%            Number of variables         :  261 (   3 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    2

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(u_not_v,hypothesis,
    [--equal(u,v)]).

input_clause(prove_equal_extensions,theorem,
    [--equal(extension(u,v,u,v),extension(u,v,v,u))]).
%--------------------------------------------------------------------------
