%--------------------------------------------------------------------------
% File     : GEO062=IntscId-2 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Geometry
% Problem  : Insertion identity
% Version  : [Quaife, 1989] axioms.
% English  : 

% Refs     : Schwabbauser W., Szmielew W., and Tarski A. (1983), 
%            Metamathematische Methoden in der Geometrie, Springer-Verlag, 
%            Berlin, Germany.
%          : Quaife A. (1989), Automated Development of Tarski's Geometry, 
%            Journal of Automated Reasoning 5(1), 97-118.
% Source   : [Quaife, 1989]
% Names    : I3 [Quaife, 1989]

% Status   : 
% Syntax   : Number of clauses           :   60 (   5 non-Horn)(  10 unit)
%            Number of literals          :  144 (  80 equality)
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :   12 (   6 constant)
%            Number of variables         :  285 (   3 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%----Include definition of insertion 
include('Axioms/GEO002-3.ax').
include('Axioms/GEO002-3.eq').
%--------------------------------------------------------------------------
input_clause(v_between_u_and_w,hypothesis,
    [++between(u,v,w)]).

input_clause(prove_v_equals_insertion,theorem,
    [--equal(v,insertion(u,w,u,v))]).
%--------------------------------------------------------------------------
