%--------------------------------------------------------------------------
% File     : LCL002=CAM_AN1-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Logic Calculi (Disjunction/Negation 2 valued sentential)
% Problem  : AN-CAMerideth => AN-1
% Version  : 
% English  : The Whitehead-Russell axiomatisation of the Disjunction/ 
%            Negation 2 valued sentential calculus is {AN-1,AN-2,AN-3, 
%            AN-4}. Show that AN-1 can be derived from the Merideth axiom.

% Refs     : Meredith C.A. (1953), Single Axioms for the Systems (C,N), 
%            (C,0), and (A,N) of the Two-valued Propositional Calculus, 
%            Journal of Computing Systems 1, 155-164.
%          : McCune W.W., and Wos L. (1992), Experiments in Automated 
%            Deduction with Condensed Detachment, In Kapur D. (Ed), 
%            Proceedings of the 11th International Conference on Automated 
%            Deduction, (Saratoga Springs, NY, 1992), (Lecture Notes 
%            in Artificial Intelligence, 607), Springer-Verlag, NY, 
%            209-223.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : AN-51 [McCune & Wos, 1992]

% Status   : 
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    5 (   0 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    5 (   3 constant)
%            Number of variables         :    7 (   1 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    7

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(or(not(X),Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(an_CAMerideth,axiom,
    [++is_a_theorem(or(not(or(not(or(not(X),Y)),or(Z,or(U,V)))),
or(not(or(not(U),X)),or(Z,or(V,X)))))]).

input_clause(an_1,theorem,
    [--is_a_theorem(or(not(or(not(b),c)),or(not(or(a,b)),or(a,c))))]).
%--------------------------------------------------------------------------
