%--------------------------------------------------------------------------
% File     : NUM090=SectsEqn1Cor-1 : TPTP v1.1.3. Bugfixed v1.0.1.
% Domain   : Number Theory (Ordinals)
% Problem  : Corollary to sections property 1
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays -Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SE1 cor [Quaife]

% Status   : 
% Syntax   : Number of clauses           :  268 (  12 non-Horn)(  51 unit)
%            Number of literals          :  569 ( 252 equality)
%            Number of predicate symbols :   17 (   0 propositional)
%            Number of function symbols  :   66 (  22 constant)
%            Number of variables         :  624 (  41 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Theorem SE1 cor in Quaife's 
%            collection.
%          : Quaife proves all these problems by augmenting the axioms 
%            with all previously proved theorems. The user may create 
%            an augmented version of this problem by adding all previously 
%            proved theorems. These include all of Quaife's [1992] set 
%            theory and Boolean algebra theorems, available from the set 
%            theory domain of the TPTP library.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
include('Axioms/SET004-1.eq').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
include('Axioms/NUM004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_to_sections_property1_1,theorem,
    [++section(element_relation,y,z)]).

input_clause(prove_corollary_to_sections_property1_2,theorem,
    [++member(u,intersection(v,z))]).

input_clause(prove_corollary_to_sections_property1_3,theorem,
    [++member(v,y)]).

input_clause(prove_corollary_to_sections_property1_4,theorem,
    [--member(u,y)]).
%--------------------------------------------------------------------------
