%--------------------------------------------------------------------------
% File     : PUZ014=Boys2-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Puzzles
% Problem  : The School Boys : Prove that all monitors are awake
% Version  : 
% English  : "All the boys, in a certain school, sit together in one large 
%            room every evening. They are of no less than five 
%            nationalities - English, Scotch, Welsh, Irish, and German. 
%            One of the Monitors (who is a great reader of Wilkie Collins' 
%            novels) is very observant and takes MS. notes of almost 
%            everything that happens, with the view of being a good 
%            sensational witness, in case any conspiracy to commit 
%            a murder should be afoot. The following are some of his 
%            notes :
%            (1) Whenever some of the English boys are singing "Rule, 
%            Britannia," and some not, some of the Monitors are wide 
%            awake :
%            (2) Whenever some of the Scotch are dancing reels, and some 
%            of the Irish fighting, some of the Welsh are eating toasted 
%            cheese :
%            (3) Whenever all the Germans are playing chess, some of the 
%            Eleven are not oiling their bats :
%            (4) Whenever some of the Monitors are asleep, and some not, 
%            some of the Irish are fighting  :
%            (5) Whenever some of the Germans are playing chess, and none 
%            of the Scotch are dancing reels, some of the Welsh are not 
%            eating toasted cheese :
%            (6) Whenever some of the Scotch are not dancing reels, and 
%            some of the Irish are not fighting, some of the Germans are 
%            playing chess :
%            (7) Whenever some of the Monitors are awake, and some of the 
%            Welsh are eating toasted cheese, none of the Scotch are 
%            dancing reels :
%            (8) Whenever some of the Germans are not playing chess, and 
%            some of the Welsh are not eating toasted cheese, none of the 
%            Irish are fighting :
%            (9) Whenever all of the English are singing "Rule, 
%            Britannia," and some of the Scotch are not dancing reels, 
%            none of the Germans are playing chess :
%            (10) Whenever some of the English are singing "Rule, 
%            Britannia,", and some of the Monitors are asleep, some of the 
%            Irish are not fighting :
%            (11) Whenever some of the Monitors are awake, and some of the 
%            Eleven are not oiling their bats, some of the Scotch are 
%            dancing reels :
%            (12) Whenever some of the English are singing "Rule, 
%            Britannia," and some of the Scotch are not dancing reels, 
%            Here the MS. breaks off suddenly. The problem is to complete 
%            the sentence, if possible.

% Refs     : Lusk E. and Overbeek R. (1985), Non-Horn Problems, Journal 
%            of Automated Reasoning 1(2), 103-114.
%          : Carroll L. (1986), Lewis Carroll's Symbolic logic : part 
%            I, Elementary, part II, Advanced, C. N. Potter, New York, NY.
% Source   : [Lusk & Overbeek, 1985]
% Names    : The School Boys [Lusk & Overbeek, 1985]

% Status   : 
% Syntax   : Number of clauses           :   20 (   8 non-Horn)(   3 unit)
%            Number of literals          :   49 (   0 equality)
%            Number of predicate symbols :   13 (  13 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    4
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(c1,axiom,
    [--some_english_sing,
     --some_english_sing_not,
     ++some_monitors_are_awake]).

input_clause(c2,axiom,
    [--some_scotch_dance,--some_irish_fight,++some_welsh_eat]).

input_clause(c3,axiom,
    [--some_germans_play,
     ++some_germans_play_not,
     ++some_of_the_eleven_are_not_oiling]).

input_clause(c4,axiom,
    [--some_monitors_are_awake,
     --some_monitors_are_not_awake,
     ++some_irish_fight]).

input_clause(c5,axiom,
    [--some_germans_play,++some_scotch_dance,++some_welsh_eat_not]).

input_clause(c6,axiom,
    [--some_scotch_dance_not,--some_irish_fight_not,++some_germans_play]).

input_clause(c7,axiom,
    [--some_monitors_are_awake,--some_welsh_eat,--some_scotch_dance]).

input_clause(c8,axiom,
    [--some_germans_play_not,--some_welsh_eat_not,--some_irish_fight]).

input_clause(c9,axiom,
    [--some_english_sing,
     ++some_english_sing_not,
     --some_scotch_dance_not,
     --some_germans_play]).

input_clause(c10,axiom,
    [--some_english_sing,
     --some_monitors_are_not_awake,
     ++some_irish_fight_not]).

input_clause(c11,axiom,
    [--some_monitors_are_awake,
     --some_of_the_eleven_are_not_oiling,
     ++some_scotch_dance]).

input_clause(c12,axiom,
    [++some_english_sing_not,++some_english_sing]).

input_clause(c13,axiom,
    [++some_monitors_are_not_awake,++some_monitors_are_awake]).

input_clause(c14,axiom,
    [++some_scotch_dance,++some_scotch_dance_not]).

input_clause(c15,axiom,
    [++some_irish_fight,++some_irish_fight_not]).

input_clause(c16,axiom,
    [++some_welsh_eat,++some_welsh_eat_not]).

input_clause(c17,axiom,
    [++some_germans_play,++some_germans_play_not]).

input_clause(c18,axiom,
    [++some_english_sing]).

input_clause(c19,axiom,
    [++some_scotch_dance_not]).

input_clause(prove_all_monitors_are_awake,theorem,
    [++some_monitors_are_not_awake]).
%--------------------------------------------------------------------------
