%--------------------------------------------------------------------------
% File     : ROB018=Absb2-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(d + e) = -e then e + 2(d + -(d + -e)) absorbs d + -(d + -e)
% Version  : [Winker, 1990] (equality) axioms.
% English  : 

% Refs     : Winker S. (1990), Robbins Algebra: Conditions That Make 
%            a Near-Boolean Algebra Boolean, Journal of Automated 
%            Reasoning 6(4), 465-489.
% Source   : [Winker, 1990]
% Names    : Corollary 3.9 [Winker, 1990]

% Status   : 
% Syntax   : Number of clauses           :   19 (   0 non-Horn)(   8 unit)
%            Number of literals          :   32 (  26 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   35 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    7

% Comments : This could be done with the second part, together
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
input_clause(condition,hypothesis,
    [++equal(negate(add(d,negate(e))),negate(e))]).

input_clause(prove_result,theorem,
    [--equal(add(e,multiply(successor(successor(one)),add(d,negate(
add(d,negate(e)))))),add(e,multiply(successor(one),add(d,negate(
add(d,negate(e)))))))]).
%--------------------------------------------------------------------------
