%--------------------------------------------------------------------------
% File     : ROB023=RobBool10-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Robbins Algebra
% Problem  : X + X=X => Boolean
% Version  : [Winker, 1990] (equality) axioms.
% English  : If for all X X + X = X then the algebra is Boolean.

% Refs     : Henkin L., Monk J. and Tarski A. (1971), Cylindrical 
%            Algebras, Part 1, North-Holland, Amsterdam, The Netherlands.
%          : Winker S. (1990), Robbins Algebra: Conditions That Make 
%            a Near-Boolean Algebra Boolean, Journal of Automated 
%            Reasoning 6(4), 465-489.
%          : Lusk E., McCune W.W. (1992), Experiments with ROO, a Parallel 
%            Automated Deduction System, In Fronhofer B., 
%            Wrightson G. (Eds), Proceedings of the International Workshop 
%            on Parallelization in Inference Systems, (Dagstahl Castle, 
%            Germany, 1990), (Lecture Notes in Artificial Intelligence, 
%            590), Springer-Verlag, NY, 139-162.
%          : McCune W.W. (1992), Email to Geoff Sutcliffe.
% Source   : [McCune, 1992]
% Names    : Robbins [Lusk & McCune, 1992]

% Status   : 
% Syntax   : Number of clauses           :   11 (   0 non-Horn)(   6 unit)
%            Number of literals          :   17 (  17 equality)
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   2 constant)
%            Number of variables         :   22 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    6

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(x_plus_x_is_x,hypothesis,
    [++equal(add(X,X),X)]).

input_clause(prove_huntingtons_axiom,theorem,
    [--equal(add(negate(add(a,negate(b))),negate(add(negate(a),
negate(b)))),b)]).
%--------------------------------------------------------------------------
