%--------------------------------------------------------------------------
% File     : SET093=SgtnSetCor2-6 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to every singleton is a set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SS9 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  32 unit)
%            Number of literals          :  336 ( 163 equality)
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   40 (   9 constant)
%            Number of variables         :  381 (  26 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_corollary_2_to_singletons_are_sets_1,theorem,
    [++equal(singleton(member_of(x)),x)]).

input_clause(prove_corollary_2_to_singletons_are_sets_2,theorem,
    [--member(x,universal_class)]).
%--------------------------------------------------------------------------
