%--------------------------------------------------------------------------
% File     : SET096=SubSOfSgtn-6 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Set Theory
% Problem  : There are at most two subsets of a singleton set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SS12 [Quaife, 1992]

% Status   : 
% Syntax   : Number of clauses           :  162 (   8 non-Horn)(  33 unit)
%            Number of literals          :  335 ( 162 equality)
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   40 (  10 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal clause size         :    5
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_two_subsets_of_singleton_1,theorem,
    [++subclass(x,singleton(y))]).

input_clause(prove_two_subsets_of_singleton_2,theorem,
    [--equal(x,null_class)]).

input_clause(prove_two_subsets_of_singleton_3,theorem,
    [--equal(singleton(y),x)]).
%--------------------------------------------------------------------------
