%--------------------------------------------------------------------------
% File     : SYN003=Implies1-1.009 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Implications that form a contradiction
% Version  : Theorem formulation : Size 9.
% English  : P1 & Q1 -> P2     P1 & R1 -> P2     Q -> Q1     R -> R1   :
%            P2 & Q2 -> P3     P2 & R2 -> P3     Q -> Q2     R -> R2   :
%              ......           ......        ....      ....           :
%            Pk-1 & Qk-1 ->Pk  Pk-1 & Rk-1 -> Pk Q -> Qk-1   R -> Rk-1 :
%            P1                ~Pk               Q           R         :

% Refs     : Plaisted D.A. (1982), A Simplified Problem Reduction Format, 
%            Artificial Intelligence 18(X), 227-261.
% Source   : [Plaisted, 1982]
% Names    : Problem 5.2 [Plaisted, 1982]

% Status   : 
% Syntax   : Number of clauses           :   36 (   0 non-Horn)(   4 unit)
%            Number of literals          :   84 (   0 equality)
%            Number of predicate symbols :   27 (  27 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : "This set of clauses can cause the following strategies 
%            to generate a search space which is exponential 
%            in k: All-negative resolution, set-of-support with ~Pk as the 
%            support set, input resolution, SL-resolution, locking 
%            resolution with a bad choice of indices, and ancestor-filter 
%            form (linear resolution)." [Plaisted, 1982, p. 243]
%--------------------------------------------------------------------------
input_clause(p1q1p2,theorem,
    [--p1,--q1,++p2]).

input_clause(p2q2p3,theorem,
    [--p2,--q2,++p3]).

input_clause(p3q3p4,theorem,
    [--p3,--q3,++p4]).

input_clause(p4q4p5,theorem,
    [--p4,--q4,++p5]).

input_clause(p5q5p6,theorem,
    [--p5,--q5,++p6]).

input_clause(p6q6p7,theorem,
    [--p6,--q6,++p7]).

input_clause(p7q7p8,theorem,
    [--p7,--q7,++p8]).

input_clause(p8q8p9,theorem,
    [--p8,--q8,++p9]).

input_clause(p1r1p2,theorem,
    [--p1,--r1,++p2]).

input_clause(p2r2p3,theorem,
    [--p2,--r2,++p3]).

input_clause(p3r3p4,theorem,
    [--p3,--r3,++p4]).

input_clause(p4r4p5,theorem,
    [--p4,--r4,++p5]).

input_clause(p5r5p6,theorem,
    [--p5,--r5,++p6]).

input_clause(p6r6p7,theorem,
    [--p6,--r6,++p7]).

input_clause(p7r7p8,theorem,
    [--p7,--r7,++p8]).

input_clause(p8r8p9,theorem,
    [--p8,--r8,++p9]).

input_clause(qq1,theorem,
    [--q,++q1]).

input_clause(qq2,theorem,
    [--q,++q2]).

input_clause(qq3,theorem,
    [--q,++q3]).

input_clause(qq4,theorem,
    [--q,++q4]).

input_clause(qq5,theorem,
    [--q,++q5]).

input_clause(qq6,theorem,
    [--q,++q6]).

input_clause(qq7,theorem,
    [--q,++q7]).

input_clause(qq8,theorem,
    [--q,++q8]).

input_clause(rr1,theorem,
    [--r,++r1]).

input_clause(rr2,theorem,
    [--r,++r2]).

input_clause(rr3,theorem,
    [--r,++r3]).

input_clause(rr4,theorem,
    [--r,++r4]).

input_clause(rr5,theorem,
    [--r,++r5]).

input_clause(rr6,theorem,
    [--r,++r6]).

input_clause(rr7,theorem,
    [--r,++r7]).

input_clause(rr8,theorem,
    [--r,++r8]).

input_clause(p1,theorem,
    [++p1]).

input_clause(not_p9,theorem,
    [--p9]).

input_clause(q,theorem,
    [++q]).

input_clause(r,theorem,
    [++r]).
%--------------------------------------------------------------------------
