%--------------------------------------------------------------------------
% File     : SYN047=FPell17-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 17
% Version  : 
% English  : A problem which appears to not be provable by Bledsoe, 
%            et al., (1972). (For details of why not, see Pelletier 
%            (1982) p. 135f.)

% Refs     : Bledsoe W., Boyer R. and Nenneman W. (1972), Computer Proofs 
%            of Limit Theorems, Artificial Intelligence 3(X), 27-60.
%          : Pelletier F.J. (1982), Completely non-clausal, completely 
%            heuristically driven automatic theorem proving, Technical 
%            Report TR82-7, Department of Computer Science, Edmonton, 
%            Alberta.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 17 [Pelletier, 1986]

% Status   : 
% Syntax   : Number of clauses           :    5 (   1 non-Horn)(   2 unit)
%            Number of literals          :   10 (   0 equality)
%            Number of predicate symbols :    4 (   4 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal clause size         :    3
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p,++q,++s]).

input_clause(clause_2,theorem,
    [--p,--r,++s]).

input_clause(clause_3,theorem,
    [++p]).

input_clause(clause_4,theorem,
    [--q,++r]).

input_clause(clause_5,theorem,
    [--s]).
%--------------------------------------------------------------------------
