%--------------------------------------------------------------------------
% File     : TOP002=BasisTplgLem2-2 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Topology
% Problem  : Topology generated by a basis forms a topological space, part 2
% Version  : [Wick & McCune, 1989] axioms :
%            Incomplete > Reduced & Augmented > Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about 
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255.
% Source   : [Wick & McCune, 1989]
% Names    : Lemma 1b [Wick & McCune, 1989]

% Status   : 
% Syntax   : Number of clauses           :    3 (   1 non-Horn)(   2 unit)
%            Number of literals          :    4 (   0 equality)
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    4 (   2 constant)
%            Number of variables         :    3 (   1 singleton)
%            Maximal clause size         :    2
%            Maximal term depth          :    2

% Comments : The axioms in this version are known to be incomplete. To
%            make them complete it is be necessary to add appropriate set 
%            theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
% include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
%----Topology generated by a basis 
input_clause(topology_generated_40,axiom,
    [++element_of_collection(U,top_of_basis(Vf)),
     ++element_of_set(f11(Vf,U),U)]).

input_clause(set_theory_6,axiom,
    [--element_of_set(X,empty_set)]).

%----Not used in the reduced version 
% input_clause(lemma_1b_1,theorem,
%     [++basis(cx,f)]).

input_clause(lemma_1b_2,theorem,
    [--element_of_collection(empty_set,top_of_basis(f))]).
%--------------------------------------------------------------------------
