%--------------------------------------------------------------------------
% File     : TOP010=FinerSubSp-1 : TPTP v1.1.3. Bugfixed v1.0.0.
% Domain   : Topology
% Problem  : A finer topology induces a finer subspace topology
% Version  : [Wick & McCune, 1989] axioms : Incomplete.
% English  : 

% Refs     : Wick C.A., McCune W.W. (1989), Automated Reasoning about 
%            Elementary Point-Set Topology, Journal of Automated Reasoning 
%            5(2), 239-255.
% Source   : [Wick & McCune, 1989]
% Names    : Problem 5 [Wick & McCune, 1989]

% Status   : 
% Syntax   : Number of clauses           :  112 (  23 non-Horn)(   3 unit)
%            Number of literals          :  339 (   0 equality)
%            Number of predicate symbols :   22 (   0 propositional)
%            Number of function symbols  :   39 (   5 constant)
%            Number of variables         :  357 (  56 singleton)
%            Maximal clause size         :    8
%            Maximal term depth          :    3

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.	
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_5_123,theorem,
    [++finer(ct1,ct2,cx)]).

input_clause(problem_5_124,theorem,
    [++subset_sets(a,cx)]).

input_clause(problem_5_125,theorem,
    [--finer(subspace_topology(cx,ct1,a),subspace_topology(cx,ct2,a),cx)]).
%--------------------------------------------------------------------------
